summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAnthony G. Basile <blueness@gentoo.org>2012-03-06 00:18:07 +0000
committerAnthony G. Basile <blueness@gentoo.org>2012-03-06 00:18:07 +0000
commit97db33de5bd7d520652dcd77c4e6aa25b60ecc88 (patch)
treebc65771f368433b702803c9090c8e1f83efc4187 /net-firewall/ipsec-tools
parentBug #407015: fix to compile with Lua 5.2 (diff)
downloadhistorical-97db33de5bd7d520652dcd77c4e6aa25b60ecc88.tar.gz
historical-97db33de5bd7d520652dcd77c4e6aa25b60ecc88.tar.bz2
historical-97db33de5bd7d520652dcd77c4e6aa25b60ecc88.zip
Remove ebuild that doesn't address bugs #210826 and #335510
Package-Manager: portage-2.1.10.44/cvs/Linux x86_64
Diffstat (limited to 'net-firewall/ipsec-tools')
-rw-r--r--net-firewall/ipsec-tools/ChangeLog6
-rw-r--r--net-firewall/ipsec-tools/Manifest9
-rw-r--r--net-firewall/ipsec-tools/ipsec-tools-0.8.0.ebuild181
3 files changed, 9 insertions, 187 deletions
diff --git a/net-firewall/ipsec-tools/ChangeLog b/net-firewall/ipsec-tools/ChangeLog
index 77959e2ee46c..ffc30f3eeb27 100644
--- a/net-firewall/ipsec-tools/ChangeLog
+++ b/net-firewall/ipsec-tools/ChangeLog
@@ -1,6 +1,10 @@
# ChangeLog for net-firewall/ipsec-tools
# Copyright 1999-2012 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/net-firewall/ipsec-tools/ChangeLog,v 1.85 2012/03/06 00:12:41 blueness Exp $
+# $Header: /var/cvsroot/gentoo-x86/net-firewall/ipsec-tools/ChangeLog,v 1.86 2012/03/06 00:18:07 blueness Exp $
+
+ 06 Mar 2012; Anthony G. Basile <blueness@gentoo.org>
+ -ipsec-tools-0.8.0.ebuild:
+ Remove ebuild that doesn't address bugs #210826 and #335510
*ipsec-tools-0.8.0-r2 (06 Mar 2012)
diff --git a/net-firewall/ipsec-tools/Manifest b/net-firewall/ipsec-tools/Manifest
index 1daf0233b99d..897e9e7fb1d0 100644
--- a/net-firewall/ipsec-tools/Manifest
+++ b/net-firewall/ipsec-tools/Manifest
@@ -14,13 +14,12 @@ EBUILD ipsec-tools-0.7.3-r1.ebuild 5504 RMD160 c80cca70aec3efa13f87c3c66bec051cc
EBUILD ipsec-tools-0.7.3.ebuild 8375 RMD160 990aa70c71acc7f3c523aaa1abcfef4f8999e7c7 SHA1 f65d04115cce6277297953cfbac91ce89a3ce83b SHA256 fb7cd6ae897526e409bb9799c9594955577894f87cf79fef27fe8f673d4eaafd
EBUILD ipsec-tools-0.8.0-r1.ebuild 6059 RMD160 8362f600f68800c907e177a5566e1356377c470f SHA1 1cc992a2e39073e89fae48278c36ada363d0d366 SHA256 b0908292a9bd960f988009ed9a7a9f3be073243838c7b4f3ea7715695e8b48fa
EBUILD ipsec-tools-0.8.0-r2.ebuild 6115 RMD160 6a5dbfacc11d4314d23d7914b5df48f98ed0ee0b SHA1 87df6e0743d04f427e5c438a09aae443f7ff02d9 SHA256 1259f0731b7905106f9c2b8c0b54ba55fd4327db12fc9686b146b8650915d41b
-EBUILD ipsec-tools-0.8.0.ebuild 5039 RMD160 0844c4087ebf39eb2b95a5fcb7ee910b4cf1cc0d SHA1 e7a982d311f583a246ea3904f7d5f807347792ad SHA256 9f4374e05e08ef0c0c88951a63b9dab0ab2f2edc5b7675b5f4864654078936b6
-MISC ChangeLog 14036 RMD160 cf14ebcdd619880cbfc5e6a2f6246e0bfec90494 SHA1 6f42db6e3ba1d23c3b6d278e62d13b128961c285 SHA256 579794adf62eeb7d640c117be6d4eaf5ae727255ac551923e3e56798a6ef8cb8
+MISC ChangeLog 14183 RMD160 32cd9beb04a3fa7711587312805fe17ce70a9b77 SHA1 8febe3aed26eb962d377ef3ef5b360e675f8d816 SHA256 65ec3563f4a37dbeff9285adef9b9fc7d9f93580728fb734ca545cbe7aeb8219
MISC metadata.xml 537 RMD160 41f7f604e33d56879ee9dd0d5a18c7f8fcc0910e SHA1 0fdf06aa17efa68aa50f04db0277e0dc4f4be590 SHA256 12de55d6d62b8e91c8996422e33462b5637f9720a5096025752b93906bcbdc40
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.17 (GNU/Linux)
-iEYEAREIAAYFAk9VVoQACgkQl5yvQNBFVTWwSACeL8zz5Mz4UuMj2bpWk53FeYJx
-0U4AoJLeIQh++evqdkVEARGIGtq+Pkoy
-=97B5
+iEYEAREIAAYFAk9VV8kACgkQl5yvQNBFVTU25wCff+/0j/OPBlOk2D7Ya36CCheG
+/4oAn2OdUhFK9waZBONPwa0c6BH9itwn
+=egqC
-----END PGP SIGNATURE-----
diff --git a/net-firewall/ipsec-tools/ipsec-tools-0.8.0.ebuild b/net-firewall/ipsec-tools/ipsec-tools-0.8.0.ebuild
deleted file mode 100644
index e1cf824698b1..000000000000
--- a/net-firewall/ipsec-tools/ipsec-tools-0.8.0.ebuild
+++ /dev/null
@@ -1,181 +0,0 @@
-# Copyright 1999-2012 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/net-firewall/ipsec-tools/ipsec-tools-0.8.0.ebuild,v 1.1 2012/02/09 20:47:18 blueness Exp $
-
-EAPI="4"
-
-inherit eutils flag-o-matic autotools linux-info
-
-DESCRIPTION="A port of KAME's IPsec utilities to the Linux-2.6 IPsec implementation"
-HOMEPAGE="http://ipsec-tools.sourceforge.net/"
-SRC_URI="mirror://sourceforge/${PN}/${P}.tar.bz2"
-
-LICENSE="BSD"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE="rc5 idea kerberos stats ipv6 nat selinux readline pam hybrid ldap"
-
-RDEPEND="
- kerberos? ( virtual/krb5 )
- selinux? (
- sys-libs/libselinux
- sec-policy/selinux-ipsec-tools
- )
- readline? ( sys-libs/readline )
- pam? ( sys-libs/pam )
- ldap? ( net-nds/openldap )
- dev-libs/openssl
- virtual/libiconv"
-# iconv? ( virtual/libiconv )
-# radius? ( net-dialup/gnuradius )
-
-DEPEND="${RDEPEND}
- >=sys-kernel/linux-headers-2.6.30"
-
-pkg_setup() {
- get_version
- if kernel_is -ge 2 6 19 ; then
- einfo "Checking for suitable kernel configuration (Networking | Networking support | Networking options)"
-
- if use nat; then
- CONFIG_CHECK="${CONFIG_CHECK} ~NETFILTER_XT_MATCH_POLICY"
- export WARNING_NETFILTER_XT_MATCH_POLICY="NAT support may fail weirdly unless you enable this option in your kernel"
- fi
-
- for i in XFRM_USER NET_KEY; do
- CONFIG_CHECK="${CONFIG_CHECK} ~${i}"
- eval "export WARNING_${i}='No tunnels will be available at all'"
- done
-
- for i in INET_IPCOMP INET_AH INET_ESP \
- INET_XFRM_MODE_TRANSPORT \
- INET_XFRM_MODE_TUNNEL \
- INET_XFRM_MODE_BEET ; do
- CONFIG_CHECK="${CONFIG_CHECK} ~${i}"
- eval "export WARNING_${i}='IPv4 tunnels will not be available'"
- done
-
- for i in INET6_IPCOMP INET6_AH INET6_ESP \
- INET6_XFRM_MODE_TRANSPORT \
- INET6_XFRM_MODE_TUNNEL \
- INET6_XFRM_MODE_BEET ; do
- CONFIG_CHECK="${CONFIG_CHECK} ~${i}"
- eval "export WARNING_${i}='IPv6 tunnels will not be available'"
- done
-
- CONFIG_CHECK="${CONFIG_CHECK} ~CRYPTO_NULL"
- export WARNING_CRYPTO_NULL="Unencrypted tunnels will not be available"
- export CONFIG_CHECK
-
- check_extra_config
- else
- eerror "You must have a kernel >=2.6.19 to run ipsec-tools."
- eerror "Building now, assuming that you will run on a different kernel"
- fi
-}
-
-src_prepare() {
- # fix for bug #76741
- sed -i 's:#include <sys/sysctl.h>::' src/racoon/pfkey.c src/setkey/setkey.c || die
- # fix for bug #124813
- sed -i 's:-Werror::g' "${S}"/configure.ac || die
- # fix for building with gcc-4.6
- sed -i 's: -R: -Wl,-R:' "${S}"/configure.ac || die
-
- AT_M4DIR="${S}" eautoreconf
- epunt_cxx
-}
-
-src_configure() {
- # fix for bug #61025
- filter-flags -march=c3
-
- local myconf
- myconf="--with-kernel-headers=/usr/include \
- --enable-adminport \
- --enable-frag \
- --enable-dpd \
- --enable-dependency-tracking \
- $(use_enable rc5) \
- $(use_enable idea) \
- $(use_enable kerberos gssapi) \
- $(use_enable stats) \
- $(use_enable ipv6) \
- $(use_enable nat natt) \
- $(use_enable selinux security-context) \
- $(use_with readline) \
- $(use_with pam libpam) \
- $(use_with ldap libldap)"
-
- use nat && myconf="${myconf} --enable-natt-versions=yes"
-
- # enable mode-cfg and xauth support
- if use pam; then
- myconf="${myconf} --enable-hybrid"
- else
- myconf="${myconf} $(use_enable hybrid)"
- fi
-
- # dev-libs/libiconv is hard masked
- #use iconv && myconf="${myconf} $(use_with iconv libiconv)"
-
- # the default (/usr/include/openssl/) is OK for Gentoo, leave it
- # myconf="${myconf} $(use_with ssl openssl )"
-
- # No way to get it compiling with freeradius or gnuradius
- # We would need libradius which only exists on FreeBSD
-
- # See bug #77369
- #myconf="${myconf} --enable-samode-unspec"
-
- econf ${myconf}
-}
-
-src_install() {
- emake DESTDIR="${D}" install
- keepdir /var/lib/racoon
- newconfd "${FILESDIR}"/racoon.conf.d racoon
- newinitd "${FILESDIR}"/racoon.init.d racoon
-
- dodoc ChangeLog README NEWS
- dodoc -r src/racoon/samples
- dodoc -r src/racoon/doc
-
- docinto setkey
- dodoc src/setkey/sample.cf
-
- dodir /etc/racoon
-
- # RFC are only available from CVS for the moment, see einfo below
- #docinto "rfc"
- #dodoc ${S}/src/racoon/rfc/*
-}
-
-pkg_postinst() {
- if use nat; then
- elog
- elog "You have enabled the nat traversal functionnality."
- elog "Nat versions wich are enabled by default are 00,02,rfc"
- elog "you can find those drafts in the CVS repository:"
- elog "cvs -d anoncvs@anoncvs.netbsd.org:/cvsroot co ipsec-tools"
- elog
- elog "If you feel brave enough and you know what you are"
- elog "doing, you can consider emerging this ebuild with"
- elog "EXTRA_ECONF=\"--enable-natt-versions=08,07,06\""
- elog
- fi
-
- if use ldap; then
- elog
- elog "You have enabled ldap support with {$PN}."
- elog "The man page does NOT contain any information on it yet."
- elog "Consider using a more recent version or CVS."
- elog
- fi
-
- elog
- elog "Please have a look in /usr/share/doc/${P} and visit"
- elog "http://www.netbsd.org/Documentation/network/ipsec/"
- elog "to find more information on how to configure this tool."
- elog
-}